const lesson: AuthRoute.Route = {
  name: 'lesson',
  path: '/lesson',
  component: 'basic',
  children: [
    {
      name: 'lesson_group',
      path: '/lesson/group',
      component: 'self',
      meta: {
        title: '班级管理',
        i18nTitle: 'message.routes.group.group',
        permissions: ['admin', 'teacher'],
        requiresAuth: true,
        localIcon: 'class'
      }
    },
    {
      name: 'lesson_student',
      path: '/lesson/student',
      component: 'self',
      meta: {
        title: '班级学员',
        i18nTitle: 'message.routes.group.student',
        permissions: ['admin', 'teacher'],
        requiresAuth: true,
        icon: 'typcn:group'
      }
    },
    {
      name: 'lesson_classroom',
      path: '/lesson/classroom',
      component: 'self',
      meta: {
        title: '教室管理',
        i18nTitle: 'message.routes.group.classroom',
        permissions: ['admin', 'teacher'],
        requiresAuth: true,
        localIcon: 'classroom'
      }
    }
  ],
  meta: {
    title: '班级管理',
    i18nTitle: 'message.routes.group._value',
    localIcon: 'lesson',
    order: 9
  }
};

export default lesson;
